Bug 738030 - recent man page changes to libevent conflicts with man-pages in f15 updates-testing
Summary: recent man page changes to libevent conflicts with man-pages in f15 updates-t...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libevent
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 16:38 UTC by Allen Hewes
Modified: 2012-04-04 19:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-04 19:23:20 UTC


Attachments (Terms of Use)

Description Allen Hewes 2011-09-13 16:38:17 UTC
Description of problem:
yum --enablerepo=updates-testing update fails on f15 as of today.

snooping around in bz, it looks like man page changes were made that need to be backed out for the pending libevent update in f15 or just do what's being done in f15+, drop the man pages...


Version-Release number of selected component (if applicable):
$ rpm -qa libevent*
libevent-debuginfo-2.0.10-2.fc15.x86_64
libevent-devel-2.0.10-2.fc15.x86_64
libevent-2.0.10-2.fc15.x86_64

How reproducible:
100% as of 9/13/11


Steps to Reproduce:
1. sudo yum --enablerepo=updates-testing update
2.
3.
  
Actual results:
sudo yum --enablerepo=updates-testing update
...
---> Package libevent.x86_64 0:2.0.10-2.fc15 will be updated
---> Package libevent.x86_64 0:2.0.10-3.fc15 will be an update
---> Package libevent-debuginfo.x86_64 0:2.0.10-2.fc15 will be updated
---> Package libevent-debuginfo.x86_64 0:2.0.10-3.fc15 will be an update
---> Package libevent-devel.x86_64 0:2.0.10-2.fc15 will be updated
---> Package libevent-devel.x86_64 0:2.0.10-3.fc15 will be an update
...
 libevent                               x86_64          2.0.10-3.fc15                      updates-testing                    157 k
 libevent-debuginfo                     x86_64          2.0.10-3.fc15                      updates-testing-debuginfo          523 k
 libevent-devel                         x86_64          2.0.10-3.fc15                      updates-testing                    505 k
...
(80/219): libevent-2.0.10-3.fc15.x86_64.rpm                                                                  | 157 kB     00:00     
(81/219): libevent-debuginfo-2.0.10-3.fc15.x86_64.rpm                                                        | 523 kB     00:00     
(82/219): libevent-devel-2.0.10-3.fc15.x86_64.rpm                                                            | 505 kB     00:00     
...
Transaction Check Error:
  file /usr/share/man/man3/error.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
  file /usr/share/man/man3/free.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
  file /usr/share/man/man3/major.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
  file /usr/share/man/man3/minor.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch


Expected results:
to be able to run sudo yum --enablerepo=updates-testing update

Additional info:

Comment 1 Steve Dickson 2012-04-04 19:23:20 UTC
It turns out those man pages very outdated. So upstream asked me to remove them which I did in F16.


Note You need to log in before you can comment on or make changes to this bug.